Sign inGet started

Organizations

POST
/organizations
Create a new organization for the current user.
Payload della richiesta
name
string
obbligatorio
Organization's display name.
slug
string
obbligatorio
Organization's human-readable identifier.
countryCode
string
obbligatorio
The country in which the organization operates.
Payload della risposta
id
string
obbligatorio
The organization's ID
name
string
obbligatorio
Organization's display name.
slug
string
obbligatorio
Human-readable identifier
avatarUrl
string
URL to the organization avatar.
status
string
obbligatorio
Current status
Possible values: active, banned
statusReason
string
The reason for the organization's status (if any).
pendingMemberCount
integer
How many members are pending to join the organization
activeMemberCount
integer
obbligatorio
How many members are active
owner
string
obbligatorio
ID of the user that owns the organization
createdAt
string
obbligatorio
When the organization was created
updatedAt
string
When the organization was last updated
managedBy
array of object
List of entities managing the organization
Mostra attributi secondari
managedBy.Type
string
Type of the entity managing the organization
managedBy.ID
string
ID of the entity managing the organization
verified
boolean
Esempio di codice
curl -X POST 'https://api.bird.com/organizations' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/organizations/{organizationId}
Get an organization by its ID.
Payload della risposta
id
string
obbligatorio
The organization's ID
name
string
obbligatorio
Organization's display name.
slug
string
obbligatorio
Human-readable identifier
avatarUrl
string
URL to the organization avatar.
status
string
obbligatorio
Current status
Possible values: active, banned
statusReason
string
The reason for the organization's status (if any).
pendingMemberCount
integer
How many members are pending to join the organization
activeMemberCount
integer
obbligatorio
How many members are active
owner
string
obbligatorio
ID of the user that owns the organization
createdAt
string
obbligatorio
When the organization was created
updatedAt
string
When the organization was last updated
managedBy
array of object
List of entities managing the organization
Mostra attributi secondari
managedBy.Type
string
Type of the entity managing the organization
managedBy.ID
string
ID of the entity managing the organization
verified
boolean
Esempio di codice
curl -X GET 'https://api.bird.com/organizations/{organizationId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
PATCH
/organizations/{organizationId}
Update an organization's properties.
Payload della richiesta
name
string
Organization's display name.
avatarUrl
string
The url of the avatar displayed next to the org
status
string
Possible values: banned, active
statusReason
string
The reason for the organization's status
owner
string
The organization's owner's ID
Payload della risposta
id
string
obbligatorio
The organization's ID
name
string
obbligatorio
Organization's display name.
slug
string
obbligatorio
Human-readable identifier
avatarUrl
string
URL to the organization avatar.
status
string
obbligatorio
Current status
Possible values: active, banned
statusReason
string
The reason for the organization's status (if any).
pendingMemberCount
integer
How many members are pending to join the organization
activeMemberCount
integer
obbligatorio
How many members are active
owner
string
obbligatorio
ID of the user that owns the organization
createdAt
string
obbligatorio
When the organization was created
updatedAt
string
When the organization was last updated
managedBy
array of object
List of entities managing the organization
Mostra attributi secondari
managedBy.Type
string
Type of the entity managing the organization
managedBy.ID
string
ID of the entity managing the organization
verified
boolean
Esempio di codice
curl -X PATCH 'https://api.bird.com/organizations/{organizationId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'